InsideEclipse - Using GOIM As Eclipse Plugin

(InsideEclipse@groupWiki:goim) 6284 Hits - Changes: 6 - Last Change: 2005-11-22 17:13:48 by Herbert Poul (Kahless) - [ History ] [ Latest changes ]

NOTE: You still need java 1.5 to use GOIM. (You need to run eclipse with java 1.5) If you don't have a JRE >1.5 download it at: http://java.com/en/download/manual.jsp

Installation

To install GOIM inside your eclipse IDE simply point your update manager to http://update.sphene.net:
In Eclipse use: Help -> Software Updates -> Find and Install .. -> Search for new features to install -> New Remote site:

New select the update site to search for new features. You can then select 'Gamer's Own Instant Messenger' under the category 'GOIM'
(Make sure NOT to check 'RCP reqs' since these are the requirements for the standalone version which uses the rich client platform)

After hitting finish GOIM should be downloaded and installed. After a restart of a eclipse it should automatically open the account preference dialog of GOIM.

(NOTE: currently it will always open this preference dialog as long as you have no account created in the preference dialog.)

Screenshot

(Using simple contact list - View on the right and a chat window at the bottom)



0 Comments
You need to be logged in to post a Comment !

Attached Files
GOIMscr07_in_eclipse_ide_full.png (183703 Bytes, 1586 times downloaded) Herbert Poul (Kahless) 2005-08-09 15:27:06 Using GOIM inside Eclipse IDE